Bug 268692 - "Using Gdb Debugger" item is not consistent with other NetBeans debuggers
"Using Gdb Debugger" item is not consistent with other NetBeans debuggers
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
All All
: P3 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-26 10:10 UTC by Vladimir Kvashin
Modified: 2017-04-08 03:05 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-10-26 10:10:37 UTC
When I attach from full IDE I see the following list:
- Java Debugger (JPDA)
- Node JS Server
- Using GDB Debugger
The word "Using" looks strange here.
It should be removed.
Comment 1 Vladimir Kvashin 2016-10-26 10:11:26 UTC
This means that in Studio "Using Dbx" should be replaced with "Dbx" either
Comment 2 Maria Tishkova 2016-10-26 13:52:25 UTC
Should we have "GDB Debugger" or "GDB"?
Comment 3 Vladimir Kvashin 2016-10-27 07:08:08 UTC
I propose "GDB Debugger"
Comment 4 Maria Tishkova 2016-10-27 10:50:10 UTC
But GDB contains "debugger" (as it stands for GNU debugger). Do you think we need to use word Debugger ?
Comment 5 Maria Tishkova 2016-10-27 10:55:55 UTC
fixed in enum/releases/release_82

changeset:   312657:6bd164ae840d
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Thu Oct 27 13:55:04 2016 +0300
summary:     fixed bz#268692 - "Using Gdb Debugger" item is not consistent with other NetBeans debuggers
Comment 6 Quality Engineering 2016-10-31 02:58:23 UTC
Integrated into 'main-silver', will be available in build *201610310002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/eb4435bb6b86
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#268692 - "Using Gdb Debugger" item is not consistent with other NetBeans debuggers
(transplanted from 6bd164ae840dc1d46cb3b1918b4b04f2cfcca29e)
Comment 7 soldatov 2016-12-08 11:17:03 UTC
Verified in internal NetBeans 8,2 patch 1 build.
Comment 8 Quality Engineering 2017-04-08 03:05:49 UTC
Integrated into 'main-silver', will be available in build *201704080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b1f35108e8a3
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#268692 "Using Gdb Debugger" item is not consistent with other NetBeans debuggers


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo